capture log close
set more off
program drop _all
macro drop _all
scalar drop _all
clear all


global root "C:\iPEHD"


use "$root/ipehd_el2010_master_1816_towns.dta", clear

global basic "lat_rad lon_rad latlon"
global econ "pop1816_young pop1816_old f_bld_wall_mssv f_business f_loom f_trade"


/*********************************/
/* Table 1 (columns 7-8) SCHOOLS */
/*********************************/

regress edu1816_prim_sc_pc  f_rel1816_prot  $basic $econ 
ivreg2  edu1816_prim_sc_pc (f_rel1816_prot=kmwittenberg)  $basic $econ, first


/************************************/
/* Table 2 (columns 9-10) ENROLMENT */
/************************************/

regress edu1816_pri_enrol  f_rel1816_prot  $basic $econ edu1816_prim_sc_pc
ivreg2  edu1816_pri_enrol (f_rel1816_prot=kmwittenberg)  $basic $econ edu1816_prim_sc_pc, first


/*************************************************************/
/* Table A.1 (lower panel): Descriptive Statistics for Towns */
/*************************************************************/

replace kmwittenberg = kmwittenberg * 100
foreach var in edu1816_pri_enrol f_rel1816_prot f_bld_wall_mssv pop1816_young pop1816_old {
  replace `var' = `var' * 100
}

summarize f_rel1816_prot edu1816_prim_sc_pc edu1816_pri_enrol kmwittenberg pop1816_young pop1816_old lat_rad lon_rad f_loom f_bld_wall_mssv f_business f_trade

